apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion
    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"
        flavorDimensions "default"
        //testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        //新版Gradle 是 implementation 为了兼容compile,写上这句话
        javaCompileOptions {
            annotationProcessorOptions {
                includeCompileClasspath = true
            }
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    productFlavors {
        //开发环境
        dev {
        }
        sit {
        }
        pro {
        }
    }

    repositories {
        flatDir {
            dirs 'libs' //this way we can find the .aar file in libs folder
            // 所有Module应该保持一致，要么加上，要么去掉
            //aar包引入
            //compile(name:'camerascan-1.0', ext:'aar')
        }
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    api project(path: ':OkGo')
    api project(path: ':Utils')
    //鲁班图片压缩 https://github.com/Curzibn/Luban
    api 'top.zibin:Luban:1.1.8'
    //权限申请 https://github.com/googlesamples/easypermissions
    api 'pub.devrel:easypermissions:2.0.0'
    //Glide
    api "com.github.bumptech.glide:glide:$rootProject.ext.glideVersion"

    api 'io.reactivex.rxjava2:rxandroid:2.0.2'
    api 'io.reactivex.rxjava2:rxjava:2.1.12'

    //annotationProcessor "com.github.bumptech.glide:glide:$rootProject.ext.glideVersion"
}
